/*
 * OpenMRCP - Open Source Media Resource Control Protocol Stack
 * Copyright (C) 2007, Cepstral LLC
 *
 * Version: MPL 1.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * Author(s):
 * Arsen Chaloyan <achaloyan@yahoo.com>
 *
 * Contributor(s):
 *
 */

#ifndef __MRCP_SERVER_TYPES_H__
#define __MRCP_SERVER_TYPES_H__

/**
 * @file mrcp_server_types.h
 * @brief MRCP Server Type Definitions
 */ 

#include "mrcp_types.h"

MRCP_BEGIN_EXTERN_C

/** Opaque MRCP server declaration. */
typedef struct mrcp_server_t mrcp_server_t;

/** Opaque MRCP server resource declaration. */
typedef struct mrcp_server_resource_t mrcp_server_resource_t;

/** Opaque MRCP server channel declaration. */
typedef struct mrcp_server_channel_t mrcp_server_channel_t;

MRCP_END_EXTERN_C

#endif /*__MRCP_SERVER_TYPES_H__*/
